## BurnerTrackImage

BurnerTrackImage

## Functions

BurnerTrackImage * | burner_track_image_new ()
BurnerBurnResult | burner_track_image_set_source ()
BurnerBurnResult | burner_track_image_set_block_num ()
gchar * | burner_track_image_get_source ()
gchar * | burner_track_image_get_toc_source ()
BurnerImageFormat | burner_track_image_get_format ()

## Types and Values

struct | BurnerTrackImage

## Description

## Functions

### burner_track_image_new ()

    BurnerTrackImage *
    burner_track_image_new (void);

Creates a new BurnerTrackImage object.

This type of tracks is used to burn disc images.

#### Returns

a BurnerTrackImage object.

### burner_track_image_set_source ()

    BurnerBurnResult
    burner_track_image_set_source (BurnerTrackImage *track,
                                   const gchar *image,
                                   const gchar *toc,
                                   BurnerImageFormat format);

Sets the image source path (and its toc if need be) as well as its format.

#### Parameters

track | a BurnerTrackImage |
image | a gchar or NULL |
toc | a gchar or NULL |
format | a BurnerImageFormat |

#### Returns

a BurnerBurnResult. BURNER_BURN_OK if it is successful.

### burner_track_image_set_block_num ()

    BurnerBurnResult
    burner_track_image_set_block_num (BurnerTrackImage *track,
                                      goffset blocks);

Sets the image size (in sectors).

#### Parameters

track | a BurnerTrackImage |
blocks | a goffset |

#### Returns

a BurnerBurnResult. BURNER_BURN_OK if it is successful.

### burner_track_image_get_source ()

    gchar *
    burner_track_image_get_source (BurnerTrackImage *track,
                                   gboolean uri);

This function returns the path or the URI (if `uri` is TRUE) of the source image file.

#### Parameters

track | a BurnerTrackImage |
uri | a gboolean |

#### Returns

a gchar

### burner_track_image_get_toc_source ()

    gchar *
    burner_track_image_get_toc_source (BurnerTrackImage *track,
                                       gboolean uri);

This function returns the path or the URI (if `uri` is TRUE) of the source toc file.

#### Parameters

track | a BurnerTrackImage |
uri | a gboolean |

#### Returns

a gchar

### burner_track_image_get_format ()

    BurnerImageFormat
    burner_track_image_get_format (BurnerTrackImage *track);

This function returns the format of the source image.

#### Parameters

track | a BurnerTrackImage |

#### Returns

a BurnerImageFormat

## Types and Values

### struct BurnerTrackImage

    struct BurnerTrackImage {
    	BurnerTrack parent_instance;
    };